# ConstantProperty

#### new Cesium.ConstantProperty(value)
DataSources/ConstantProperty.js 25

  A `Property` whose value does not change with respect to simulation time.

  Name | Type | Description
  --- | --- | ---
  `value` | Object | optional The property value.

  ##### Throws:

  - DeveloperError : value.clone is a required function.
  - DeveloperError : value.equals is a required function.

  ##### See:

  - ConstantPositionProperty

### Members

#### readonlydefinitionChanged : Event
DataSources/ConstantProperty.js 54

  Gets the event that is raised whenever the definition of this property changes. The definition is changed whenever setValue is called with data different than the current value.

#### readonlyisConstant : Boolean
DataSources/ConstantProperty.js 42

  Gets a value indicating if this property is constant. This property always returns `true`.

### Methods

#### equals(other) → Boolean
DataSources/ConstantProperty.js 105

  Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

  Name | Type | Description
  --- | --- | ---
  `other` | Property | optional The other property.

  ##### Returns:

  `true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Object
DataSources/ConstantProperty.js 68

  Gets the value of the property.

  Name | Type | Description
  --- | --- | ---
  `time` | JulianDate | optional The time for which to retrieve the value. This parameter is unused since the value does not change with respect to time.
  `result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

  ##### Returns:

  The modified result parameter or a new instance if the result parameter was not supplied.

#### setValue(value)
DataSources/ConstantProperty.js 80

  Sets the value of the property.

  Name | Type | Description
  --- | --- | ---
  `value` | Object | The property value.

  ##### Throws:

  - DeveloperError : value.clone is a required function.
  - DeveloperError : value.equals is a required function.